Summary
Get Automation
Description
Get an Automation.
Route
GET /operations-manager/automations/:id
Roles
admin
engineering
apiread
viewer
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to get. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The requested Automation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"createdBy": null,
"created": "2026-01-26T21:34:08.942Z",
"lastUpdatedBy": "aliquip exercitation voluptate cupidatat",
"lastUpdated": "1959-11-15T19:05:37.53Z",
"_id": "257e0c66783a432a0f8a8da6",
"gbac": {
"write": [
"f9a98d5ebf5ef5453c6edaea",
"ce3b823ca90a9bf569354e76"
],
"read": [
"5fc8f6f6670b2799d02f9610",
"32cb37a9d82f43b511c2123a",
"124490352a34060c8f01aac4"
]
},
"componentId": "6115afbc0645676909a063a5"
}
}